AIScheduleManagerEJBImpl (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.autoinventory.server.session.AIScheduleManagerEJBImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.autoinventory.server.session
Class AIScheduleManagerEJBImpl

    java.lang.Object
      org.hyperic.hq.scheduler.server.session.BaseScheduleManagerEJB
          org.hyperic.hq.autoinventory.server.session.AIScheduleManagerEJBImpl

All Implemented Interfaces:
  java.io.Serializable, javax.ejb.EnterpriseBean, javax.ejb.SessionBean

    public class AIScheduleManagerEJBImpl

extends BaseScheduleManagerEJB
implements javax.ejb.SessionBean

Manager for dealing with scheduled autoinventory scans.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.hq.scheduler.server.session.BaseScheduleManagerEJB
`_scheduler, historyPager, SCHED_SEPARATOR, schedulePager`

Constructor Summary
`AIScheduleManagerEJBImpl()`

Method Summary
`void` | `checkUniqueName(AIScheduleDAO aiScheduleLocalHome, java.lang.String scanName)`
`void` | `deleteAIJob(AuthzSubject subject, java.lang.Integer[] ids)`
`void` | `doScheduledScan(AuthzSubject subject, AppdefEntityID id, ScanConfigurationCore scanConfig, java.lang.String scanName, java.lang.String scanDesc, ScheduleValue schedule)` Schedule an AI scan on an appdef entity (platform or group of platforms)
`void` | `ejbActivate()`
`void` | `ejbCreate()` A pseudo-ejbCreate method called by subclasses from their real ejbCreate implementations.
`void` | `ejbPassivate()`
`void` | `ejbPostCreate()`
`void` | `ejbRemove()`
`PageList` | `findJobHistory(AuthzSubject subject, AppdefEntityID id, PageControl pc)` Get a job history based on appdef id
`AISchedule` | `findScheduleByID(AuthzSubject subject, java.lang.Integer id)`
`PageList` | `findScheduledJobs(AuthzSubject subject, AppdefEntityID id, PageControl pc)` Get a list of scheduled scans based on appdef id
`protected java.lang.String` | `getHistoryPagerClass()`
`protected java.lang.String` | `getJobPrefix()`
`static org.hyperic.hq.autoinventory.shared.AIScheduleManagerLocal` | `getOne()`
`protected java.lang.String` | `getSchedulePagerClass()`
`protected java.lang.String` | `getSchedulePrefix()`
`void` | `setSessionContext(javax.ejb.SessionContext ctx)`
`protected void` | `setupJobData(org.quartz.JobDetail jobDetail, AuthzSubject subject, AppdefEntityID id, ScanConfigurationCore scanConfig, java.lang.String scanName, java.lang.String scanDesc, java.lang.String os, ScheduleValue schedule)`

Methods inherited from class org.hyperic.hq.scheduler.server.session.BaseScheduleManagerEJB
`getDbType, getJobName, getPrefix, getTriggerName, setDbType, setupJobData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AIScheduleManagerEJBImpl

    public AIScheduleManagerEJBImpl()

Method Detail

### getHistoryPagerClass

    protected java.lang.String getHistoryPagerClass()

  Specified by:
    `getHistoryPagerClass` in class `BaseScheduleManagerEJB`

### getSchedulePagerClass

    protected java.lang.String getSchedulePagerClass()

  Specified by:
    `getSchedulePagerClass` in class `BaseScheduleManagerEJB`

### getJobPrefix

    protected java.lang.String getJobPrefix()

  Specified by:
    `getJobPrefix` in class `BaseScheduleManagerEJB`

### getSchedulePrefix

    protected java.lang.String getSchedulePrefix()

  Specified by:
    `getSchedulePrefix` in class `BaseScheduleManagerEJB`

### setupJobData

    protected void setupJobData(org.quartz.JobDetail jobDetail,
                                AuthzSubject subject,
                                AppdefEntityID id,
                                ScanConfigurationCore scanConfig,
                                java.lang.String scanName,
                                java.lang.String scanDesc,
                                java.lang.String os,
                                ScheduleValue schedule)

### doScheduledScan

    public void doScheduledScan(AuthzSubject subject,
                                AppdefEntityID id,
                                ScanConfigurationCore scanConfig,
                                java.lang.String scanName,
                                java.lang.String scanDesc,
                                ScheduleValue schedule)
                         throws AutoinventoryException,
                                javax.ejb.CreateException,
                                DuplicateAIScanNameException,
                                ScheduleWillNeverFireException

  Schedule an AI scan on an appdef entity (platform or group of platforms)

  Throws:
    `AutoinventoryException`
    `javax.ejb.CreateException`
    `DuplicateAIScanNameException`
    `ScheduleWillNeverFireException`

### findScheduledJobs

    public PageList findScheduledJobs(AuthzSubject subject,
                                      AppdefEntityID id,
                                      PageControl pc)
                               throws javax.ejb.FinderException

  Get a list of scheduled scans based on appdef id

  Throws:
    `javax.ejb.FinderException`

### findScheduleByID

    public AISchedule findScheduleByID(AuthzSubject subject,
                                       java.lang.Integer id)
                                throws javax.ejb.FinderException,
                                       javax.ejb.CreateException

  Throws:
    `javax.ejb.FinderException`
    `javax.ejb.CreateException`

### findJobHistory

    public PageList findJobHistory(AuthzSubject subject,
                                   AppdefEntityID id,
                                   PageControl pc)
                            throws javax.ejb.FinderException

  Get a job history based on appdef id

  Throws:
    `javax.ejb.FinderException`

### deleteAIJob

    public void deleteAIJob(AuthzSubject subject,
                            java.lang.Integer[] ids)
                     throws AutoinventoryException

  Throws:
    `AutoinventoryException`

### checkUniqueName

    public void checkUniqueName(AIScheduleDAO aiScheduleLocalHome,
                                java.lang.String scanName)
                         throws DuplicateAIScanNameException

  Throws:
    `DuplicateAIScanNameException`

### getOne

    public static org.hyperic.hq.autoinventory.shared.AIScheduleManagerLocal getOne()

### ejbCreate

    public void ejbCreate()

  Description copied from class: `BaseScheduleManagerEJB`
  A pseudo-ejbCreate method called by subclasses from their real ejbCreate implementations.

  Overrides:
    `ejbCreate` in class `BaseScheduleManagerEJB`

### ejbPostCreate

    public void ejbPostCreate()

### ejbActivate

    public void ejbActivate()

  Specified by:
    `ejbActivate` in interface `javax.ejb.SessionBean`
  Overrides:
    `ejbActivate` in class `BaseScheduleManagerEJB`

### ejbPassivate

    public void ejbPassivate()

  Specified by:
    `ejbPassivate` in interface `javax.ejb.SessionBean`
  Overrides:
    `ejbPassivate` in class `BaseScheduleManagerEJB`

### ejbRemove

    public void ejbRemove()

  Specified by:
    `ejbRemove` in interface `javax.ejb.SessionBean`
  Overrides:
    `ejbRemove` in class `BaseScheduleManagerEJB`

### setSessionContext

    public void setSessionContext(javax.ejb.SessionContext ctx)

  Specified by:
    `setSessionContext` in interface `javax.ejb.SessionBean`
  Overrides:
    `setSessionContext` in class `BaseScheduleManagerEJB`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.